Subject: [PATCH 0/2] Fix the texlive-poetry package

From: Spencer King <[email-masked]>
Date: Fri, 8 Dec 2023 20:04:00 -0600

Hello. When attempting to build a document using the texlive-poetry package I discovered that it was missing some necessary inputs. The two needed inputs were texlive-modulus and texlive-imakeidx. When adding these I then discovered that texlive-imakeidx was missing texlive-xkeyval. In both cases these are noted by RequirePackage in the respective .sty files. The texlive-imakeidx .sty does actually list multiple required packages, however I believe all of the rest are accounted for by texlive-scheme-basic, which was needed to be installed anyway in order to get a compiler. If you would like to reproduce this bug, I've pasted a sample tex file below, adapted from one of the initial examples in texlive-poetry's documentation.

\documentclass{article}
\usepackage{poetry}

\begin{document}

\begin{poem}
Let me not to the marriage of true minds \\
\hin Admit impediments. Love is not love \\
Which alters when it alteration finds, \\
\hin Or bends with the remover to remove: \\!
O, no! it is an ever-fixed mark, \\
\hin That looks on tempests and is never shaken; \\
It is the star to every wandering bark, \\
\hin Whose worth’s unknown, although his height be taken. \\-
\end{poem}

\end{document}

The only packages I had installed in the environment were texlive-scheme-basic and texlive-poetry.

In addition to the changes described above, guix style did change some of the existing structure of the packages. This is both my first patch series and my first time submitting a fix to an existing package, so I apologize if I have done something incorrectly.

Best,
Spencer

Spencer King (2):
  gnu: texlive-imakeidx: Fix inputs.
  gnu: texlive-poetry: Fix inputs.

 gnu/packages/tex.scm | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

base-commit: 4e7cb241188cf9f213d5fbabbabce07d35ca0991
-- 
2.41.0